#########
# Author:        ajb
# Maintainer:    $Author: gq1 $
# Created:       2008-07-22
# Last Modified: $Date: 2008-11-18 13:54:56 +0000 (Tue, 18 Nov 2008) $
# Id:            $Id: 10-model-tile_all.t 3510 2008-11-18 13:54:56Z gq1 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-5.0/t/10-model-tile_all.t $
#

use strict;
use warnings;
use Test::More tests => 3;
use English qw(-no_match_vars);
use SangerPaths qw(core tracking badger ensembl);
use IO::Scalar;
use lib qw{t};
use t::util;
use npg_qc::model::run_tile;

our $VERSION = do { my ($r) = q$LastChangedRevision: 3510 $ =~ /(\d+)/mx; $r; };

use_ok('npg_qc::model::tile_all');
my $util = t::util->new({fixtures =>1});
{
  my $model = npg_qc::model::tile_all->new({
    util        => $util,
    id_tile_all => 1,
    id_run_tile => 1,
  });
  isa_ok($model, 'npg_qc::model::tile_all', '$model');
  isa_ok($model->run_tile(), 'npg_qc::model::run_tile', '$model->run_tile()');
}
